Package net.sf.saxon.trace

## Class ContextStackFrame.CallTemplate

- java.lang.Object
- - net.sf.saxon.trace.ContextStackFrame
  - - net.sf.saxon.trace.ContextStackFrame.CallTemplate

- Enclosing class:
    ContextStackFrame

      public static class ContextStackFrame.CallTemplate
      extends ContextStackFrame

  Subclass of ContextStackFrame representing an xsl:call-template instruction in XSLT

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trace.ContextStackFrame

      `ContextStackFrame.ApplyTemplates, ContextStackFrame.BuiltInTemplateRule, ContextStackFrame.CallingApplication, ContextStackFrame.CallTemplate, ContextStackFrame.FunctionCall, ContextStackFrame.VariableEvaluation`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallTemplate()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StructuredQName` | `getTemplateName()` | Get the name of the template being called
    `void` | `print​(Logger out)` | Display a representation of the stack frame on the specified output stream
    `void` | `setTemplateName​(StructuredQName templateName)` | Set the name of the template being called

    - ### Methods inherited from class net.sf.saxon.trace.ContextStackFrame

      `getContainer, getContext, getContextItem, getLineNumber, getSystemId, setComponent, setContext, setContextItem, setLocation, showLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallTemplate

          public CallTemplate()

  - ### Method Detail

    - #### getTemplateName

          public StructuredQName getTemplateName()

      Get the name of the template being called
      Returns:
        the name of the template being called. Note this may be null in the case of the extension instruction saxon:call-template

    - #### setTemplateName

          public void setTemplateName​(StructuredQName templateName)

      Set the name of the template being called
      Parameters:
        `templateName` - the name of the template being called.

    - #### print

          public void print​(Logger out)

      Display a representation of the stack frame on the specified output stream
      Specified by:
        `print` in class `ContextStackFrame`
      Parameters:
        `out` - the output stream